<html>
  <head>
    <title>Objects 2</title>
    <script>
      function execute() {
        const persons = [
          { firstName: 'Gosha', lastName: 'Petrov', age: 32 },
          { firstName: 'Ivan', lastName: 'Kurochka', age: 81 },
          { firstName: 'Vasya', lastName: 'Yaz', age: 25 }
        ];

        const findYoung = arr => {
          let minAge = arr[0].age, personIndex = 0;
          arr.forEach((x, i) => {
            if (x.age < minAge) {
              minAge = x.age;
              personIndex = i;
            }
          });
          const youngestPerson = arr[personIndex];
          return `${youngestPerson.firstName} ${youngestPerson.lastName} - ${youngestPerson.age}`;
        };
        
        const output = '<p>The youngest person is</p>' + `${findYoung(persons)}`;
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <button onclick="execute()">Execute</button>
    <p id="result"></p>
  </body>
</html>
